import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { ServiceLineTransactionCreateManyServiceLineInputObjectSchema as ServiceLineTransactionCreateManyServiceLineInputObjectSchema } from './ServiceLineTransactionCreateManyServiceLineInput.schema'

const makeSchema = () => z.object({
  data: z.union([z.lazy(() => ServiceLineTransactionCreateManyServiceLineInputObjectSchema), z.lazy(() => ServiceLineTransactionCreateManyServiceLineInputObjectSchema).array()]),
  skipDuplicates: z.boolean().optional()
}).strict();
export const ServiceLineTransactionCreateManyServiceLineInputEnvelopeObjectSchema: z.ZodType<Prisma.ServiceLineTransactionCreateManyServiceLineInputEnvelope> = makeSchema() as unknown as z.ZodType<Prisma.ServiceLineTransactionCreateManyServiceLineInputEnvelope>;
export const ServiceLineTransactionCreateManyServiceLineInputEnvelopeObjectZodSchema = makeSchema();
